add_library(graphics STATIC
    cs.c
    sprite.c
    filters.c
    gfxengine.cpp
    window.cpp
    sofont.cpp
    display.cpp
    toolkit.cpp
    vidmodes.c
    region.c
)

target_include_directories(graphics
    PUBLIC ${CMAKE_CURRENT_SOURCE_DIR}
    PRIVATE ${CMAKE_SOURCE_DIR}
)

target_link_libraries(graphics PUBLIC kobo_deps)
